Loading...
Searching...
No Matches
decode_video.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <libavcodec/avcodec.h>`

Go to the source code of this file.

## Macros

#define | INBUF_SIZE 4096

## Functions

static void | pgm_save (unsigned char *buf, int wrap, int xsize, int ysize, char *filename)
static void | decode (AVCodecContext *dec_ctx, AVFrame *frame, AVPacket *pkt, const char *filename)
int | main (int argc, char **argv)

## Macro Definition Documentation

## INBUF_SIZE

#define INBUF_SIZE 4096

Examples
  decode_video.c.

Definition at line 37 of file decode_video.c.

## Function Documentation

## pgm_save()

static void pgm_save | ( | unsigned char * | buf,
|  | int | wrap,
|  | int | xsize,
|  | int | ysize,
|  | char * | filename
| ) |  |

static

Examples
  decode_video.c.

Definition at line 39 of file decode_video.c.

Referenced by decode().

## decode()

static void decode | ( | AVCodecContext * | dec_ctx,
|  | AVFrame * | frame,
|  | AVPacket * | pkt,
|  | const char * | filename
| ) |  |

static

Definition at line 52 of file decode_video.c.

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 84 of file decode_video.c.